package com.ssm.model.system;

import java.util.Date;
import java.util.List;

import com.ssm.util.page.BaseEntity;

public class SysRole extends BaseEntity{
	
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer roleId;

    private String roleName;

    private String roleDesc;

    private Boolean isDeleted;

    private Integer createdUserId;

    private Date createdDateTime;

    private Integer lastUpdateUserId;

    private Date lastUpdateDateTime;

    private Boolean isEnabled;
    
    private String lastDate;		//最后更新时间
    
    public String getLastDate() {
		return lastDate;
	}

	public void setLastDate(String lastDate) {
		this.lastDate = lastDate;
	}

	private List<SysMenu> menuList;
    
	public Integer getRoleId() {
		return roleId;
	}

	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public String getRoleDesc() {
		return roleDesc;
	}

	public void setRoleDesc(String roleDesc) {
		this.roleDesc = roleDesc;
	}

	public Boolean getIsDeleted() {
		return isDeleted;
	}

	public void setIsDeleted(Boolean isDeleted) {
		this.isDeleted = isDeleted;
	}

	public Integer getCreatedUserId() {
		return createdUserId;
	}

	public void setCreatedUserId(Integer createdUserId) {
		this.createdUserId = createdUserId;
	}

	public Date getCreatedDateTime() {
		return createdDateTime;
	}

	public void setCreatedDateTime(Date createdDateTime) {
		this.createdDateTime = createdDateTime;
	}

	public Integer getLastUpdateUserId() {
		return lastUpdateUserId;
	}

	public void setLastUpdateUserid(Integer lastUpdateUserId) {
		this.lastUpdateUserId = lastUpdateUserId;
	}

	public Date getLastUpdateDateTime() {
		return lastUpdateDateTime;
	}

	public void setLastUpdateDateTime(Date lastUpdateDateTime) {
		this.lastUpdateDateTime = lastUpdateDateTime;
	}

	public Boolean getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(Boolean isEnabled) {
		this.isEnabled = isEnabled;
	}

	public List<SysMenu> getMenuList() {
		return menuList;
	}

	public void setMenuList(List<SysMenu> menuList) {
		this.menuList = menuList;
	}

	@Override
	public String toString() {
		return "SysRole [roleId=" + roleId + ", roleName=" + roleName
				+ ", roleDesc=" + roleDesc + ", isDeleted=" + isDeleted
				+ ", createdUserId=" + createdUserId + ", createdDateTime="
				+ createdDateTime + ", lastUpdateUserId=" + lastUpdateUserId
				+ ", lastUpdateDateTime=" + lastUpdateDateTime + ", isEnabled="
				+ isEnabled + ", lastDate=" + lastDate + ", menuList="
				+ menuList + "]";
	}
}